Ubuntu

Add libapt* to the striptranslations blacklist

Reported by Gabor Kelemen on 2011-09-20
8
This bug affects 1 person
Affects Status Importance Assigned to Milestone
Ubuntu Translations
High
Unassigned
pkgbinarymangler (Ubuntu)
Undecided
Unassigned

Bug Description

As a follow up to bug #446277, I'd like to request the addition of the libapt-pkg4.11 and libapt-inst1.3 packages to the pkstriptranslations blacklist, as these packages started to ship apt templates recently.
As the version numbers in these packages tend to change, only the names should be added to make it future proof.

Gabor Kelemen (kelemeng) on 2011-09-20
Changed in ubuntu-translations:
status: New → Triaged
importance: Undecided → High
Martin Pitt (pitti) wrote :

Why do we need to do this? Blacklisting would mean that apt packages will ship all *.po files right in the .deb, as opposed to "through langpacks". This will stop us being able to deliver updated translations, and we'd install unnecessary translations, too.

Gabor Kelemen (kelemeng) wrote :

For the same reason we do this blacklisting thing at all: to deliver translations that are going to be visible at install time.

Martin Pitt (pitti) wrote :

OK, fair enough. Merged and uploaded, will go in after b2 freeze.

Changed in pkgbinarymangler (Ubuntu):
status: New → Fix Committed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package pkgbinarymangler - 104

---------------
pkgbinarymangler (104) oneiric; urgency=low

  * Add libapt-pkg* and libapt-inst* to the blacklist. LP: #855085
 -- Gabor Kelemen <email address hidden> Thu, 22 Sep 2011 09:02:30 +0200

Changed in pkgbinarymangler (Ubuntu):
status: Fix Committed → Fix Released
Gabor Kelemen (kelemeng) wrote :

Hm, this was merged for some time into lp:ubuntu/pkgbinarymangler, but the current apt packages still do not contain translations.
Are you sure that it was merged into the correct branch and it was deployed correctly?

Gabor Kelemen [2011-10-11 16:12 -0000]:
> Are you sure that it was merged into the correct branch

Yes, just checked apt-get source pkgbinarymangler.

> and it was deployed correctly?

It's a conffile, so it might be that upgrading it on the buildds kept
the old one. I just filed an RT to have them updated, thanks for
pointing out!

Gabor Kelemen (kelemeng) on 2012-01-12
Changed in ubuntu-translations:
status: Triaged → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.